#ifndef SENTENCE_H
#define SENTENCE_H

#include "syllable.h"

class Sentence
{

public:
  Sentence(  );
  virtual ~ Sentence(  );

  int addSyllable( int start, int duration, int note, char *strSyllable );
  int setStart( int Start );
  int setAtBegin( void );
  int getNextSyllable( Syllable & syll, int *status, int currentTime );

  int m_start;
  int m_duration;

protected:
private:
    Syllable * m_lstSyllable;
  int m_nbSyllable;
  int m_posSyllable;
};


#endif // SENTENCE_H
